# Tento modul by mel nacist obrazky a pripravit je pro pouziti
# pri otexturovani objektu
import Blender
from Blender import Material
from Blender import Image
from Blender import Texture

def loadTexture(filename):
    """
    def loadTexture(filename): loads a texture from image file 
    and creates a material for that
    """
    mat = Material.New(filename)          # create a new Material called 'newMat'
    #mat.rgbCol = [0.8, 0.2, 0.2]          # change its color
    #mat.setAlpha(0.2)                     # mat.alpha = 0.2 -- almost transparent
    #mat.emit = 0.7                        # equivalent to mat.setEmit(0.8)
    #mat.mode |= Material.Modes.ZTRANSP    # turn on Z-Buffer transparency
    #mat.setName('RedBansheeSkin')         # change its name
    #mat.setAdd(0.8)                       # make it glow
    #mat.setMode('Halo')         
    #mat.setTexture( 0, texture, TexCo.ORCO, MapTo.COL)
    tex = Texture.New(filename)             # get texture named 'foo'
    #tex = Texture.New()
    #print "testx"
    tex.setType("Image")                    # make foo be an image texture
    #img = Image.New( filename, 800, 600, 24)
    #img.Load(filename)              # load an image
    #print "test"
    img = Image.Load(filename)
    img.setName(filename)
    #print "size",img.getSize()
    tex.setImage(img)                       # link the image to the texture
    #mat = Material.Get('bar')               # get a material
    #mtextures = mat.getTextures()           # get a list of the MTex objects
    #for mtex in mtextures:
       #if mtex.tex.type == Texture.Types.IMAGE: 
           #print mtex.tex.image.filename   # print the filenames of all the
                                           # images in textures linked to "bar"
    mat.setTexture(0, tex)               # set the material's first texture
                                           # to be our texture                                 
    mat.setMode("Shadeless")
    mat.setMode("TexFace")
    #tex = Texture.New()
    #print "oK"