import numpy
from scipy import *

import Blender
from Blender import *

# Class Calibrated Image
class CalibIm:
    def __init__(self,imageFile,matrixFile):
        self.im = Image.Load(imageFile)        
        self.loadMatrix(matrixFile)    
    def loadMatrix(self,matrixFile):
        f=open(matrixFile,'r')
        self.P=zeros((3,4))
        for row in self.P:
            fread(f,"%9.13f, %9.13f, %9.13f;\n");
        fclose(f);
